org.apache.cassandra.cache

## Interface AutoSavingCache.CacheSerializer<K extends CacheKey,V>

All Known Implementing Classes:
  CacheService.CounterCacheSerializer, CacheService.KeyCacheSerializer, CacheService.RowCacheSerializer

Enclosing class:
  AutoSavingCache<K extends CacheKey,V>

    public static interface AutoSavingCache.CacheSerializer<K extends CacheKey,V>

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.concurrent.Future<Pair<K,V>>` `deserialize(java.io.DataInputStream in, ColumnFamilyStore cfs)`
`void` `serialize(K key, DataOutputPlus out, ColumnFamilyStore cfs)`

### Method Detail

#### serialize

    void serialize(K key,
                   DataOutputPlus out,
                   ColumnFamilyStore cfs)
            throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    java.util.concurrent.Future<Pair<K,V>> deserialize(java.io.DataInputStream in,
                                                       ColumnFamilyStore cfs)
                                                throws java.io.IOException

Throws:
  `java.io.IOException`